<?php

namespace WPEP\ACL;

class Post {

  /**
   * @param $post_id
   * @param $type : view | manage
   * @return bool|int
   */
  public static function analytics( $post_id, $type = 'view' ) {
    if( current_user_can( WPEP_CAP_MANAGE_MEMBERS ) )
      return true;

    $post = get_post( $post_id );

    if( !isset( $post->post_author ) || $post->post_author != get_current_user_id() )
      return false;

    return true;
  }


  /**
   * @param $post_id
   * @return bool|int
   */
  public static function export( $post_id ) {
    if( current_user_can( WPEP_CAP_MANAGE_SETTINGS ) )
      return true;

    $post = ( is_numeric( $post_id ) ? get_post( $post_id ) : $post_id );

    if( !isset( $post->post_author ) || $post->post_author != get_current_user_id() )
      return false;

    return true;
  }

}