<?php

namespace WPEP\Admin\Coordinator;

class DataSystem {

  public $contentTypes;
  public $csvCourses;
  public $csvUsers;
  public $emailMarketingCourseTags;
  public $platformHealth;
  public $import;
  public $thirdPartyImport;

  public function __construct() {
    $this->contentTypes = new DataSystem\ContentTypes();
    $this->csvCourses   = new DataSystem\CSVCourses();
    $this->csvUsers     = new DataSystem\CSVUsers();
    $this->emailMarketingCourseTags = new DataSystem\EmailMarketingCourseTags();
    $this->import                   = new DataSystem\Import();
    $this->platformHealth           = new DataSystem\PlatformHealth();
    $this->thirdPartyImport         = new DataSystem\ThirdPartyImport();
  }

  public function setup() {
    $this->contentTypes->setup();
    $this->csvCourses->setup();
    $this->csvUsers->setup();
    $this->emailMarketingCourseTags->setup();
    $this->import->setup();
    $this->platformHealth->setup();
    $this->thirdPartyImport->setup();
  }

}
