<?php

namespace WPEP\ContentType\Certification;

class API {

  public static function template_user_content( $request_data ) {
    if( !isset( $request_data[ 'user_id' ] ) )
      return false;

    $user_id = intval( $request_data[ 'user_id' ] );

    if( !wpep_content_type()->contentTypes[ WPEP_POST_TYPE_CERTIFICATE ]->current_user_can_view_certificates_for( $user_id ) )
      return false;

    $certificates = ( $user_id == 0 ? [] : get_posts( [
      'post_type'   => WPEP_POST_TYPE_CERTIFICATE,
      'author'      => $user_id,
      'numberposts' => -1
    ] ) );

    if( empty( $certificates ) )
      return false;

    $response = '';

    $response .= '<div class="wpep-section-image-collection">';

    foreach( $certificates as $certificate ) {

      wpep_content_type()->contentTypes[ WPEP_POST_TYPE_CERTIFICATE ]->delivery->prepare_certificate_by_parent_post_id(
        $user_id,
        get_post_meta( $certificate->ID, 'wpep_course_id', true ),
        $certificate->ID
      );

      $response .= '<div class="wpep-image-collection-item">';
      $response .=    '<img src="' . add_query_arg( 'view-type', 'image', get_permalink( $certificate ) ) . '"/>';

      if( $user_id == get_current_user_id() || current_user_can( WPEP_CAP_MANAGE_MEMBERS ) )
        $response .= wpep_controller()->content->miscellaneous->link( [
          'position'        => 'bottom',
          'text'            => wpep_get_setting_translated( 'certification-download-box-button' ),
          'force_download'  => true,
          'download_name'   => sanitize_title( get_the_title( $certificate ) ) . '.jpg'
        ], get_permalink( $certificate ) );

      $response .= '</div>';
    }

    $response .= '</div>';

    return $response;
  }

}