<?php

namespace WPEP\Coordinator;

class SQL {

  public function statement_where( $where, $whitelist = [], $table_name = false, $column_table = false ) {
    $sql = 'WHERE 1 = 1';

    foreach( $where as $where_column_field => $where_value ) {
      if( ( !empty( $whitelist ) && !in_array( $where_column_field, $whitelist ) ) || $where_value === null )
        continue;

      $sql .= $this->_statement_where_and( $where_column_field, $where_value, $table_name, $column_table );
    }

    return $sql;
  }

  private function _statement_where_and( $where_column_field, $where_value, $table_name, $column_table = false ) {
    if( !is_array( $where_value ) )
      return ' AND ' . $this->_statement_where_column( $where_column_field, $column_table ) . ' = "' . esc_sql( $where_value ) . '"';

    $sql = '';

    foreach( $where_value as $where_comparison_field => $where_inner_value ) {
      if( $where_comparison_field === 'relevant' && $where_column_field == 'parent_id' && $table_name != false ) {
        $sql .= ' AND ' . $this->_statement_where_column( $where_column_field, $column_table ) . ' IN ( SELECT DISTINCT `parent_id`
                     FROM `' . $table_name . '` 
                    WHERE `user_id` = ' . $where_inner_value . '
                    UNION
                   SELECT `id`
                     FROM `' . $table_name . '` 
                    WHERE `user_id` = ' . $where_inner_value . ' )';

        $sql .= ' AND ' . ( $column_table !== false ? $column_table . '.' : '' ) . '`user_id` != ' . $where_inner_value;
      } elseif( $where_comparison_field === 'post_meta' ) {
        foreach( $where_inner_value as $where_post_meta_key => $where_post_meta_value_list ) {
          $where_post_meta_value_list = ( is_array( $where_post_meta_value_list ) ? $where_post_meta_value_list : [ '=' => $where_post_meta_value_list ] );

          foreach( $where_post_meta_value_list as $where_post_meta_value_comparison => $where_post_meta_value ) {
            $sql .= ' AND IFNULL( ( SELECT pm_' . $where_post_meta_key . '.`meta_value` 
                                      FROM ' . wpep_wpdb()->postmeta . ' pm_' . $where_post_meta_key . ' 
                                     WHERE pm_' . $where_post_meta_key . '.`post_id`  = ' . $column_table . '.`' . $where_column_field . '`
                                       AND pm_' . $where_post_meta_key . '.`meta_key` = "' . $where_post_meta_key . '" ) , "" ) ';

            $sql .= $this->_statement_where_comparison_value( $where_post_meta_value_comparison, $where_post_meta_value );
          }
        }
      } else {
        $sql .= ' AND ' . $this->_statement_where_column( $where_column_field, $column_table ) . ' ' . $this->_statement_where_comparison_value( $where_comparison_field, $where_inner_value );
      }
    }

    return $sql;
  }

  private function _statement_where_column( $where_column_field, $column_table = false ) {
    return ( $column_table !== false ? $column_table . '.' : '' ) . '`' . $where_column_field . '`';
  }

  private function _statement_where_comparison_value( $where_comparison_field, $where_inner_value ) {
    if( $where_inner_value === 'IS NOT NULL' )
      return 'IS NOT NULL';

    if( $where_comparison_field === 'IN' && !empty( $where_inner_value ) )
      return 'IN ("' . implode( '","', array_map( 'esc_sql', $where_inner_value ) ) . '")';

    if( $where_comparison_field === 'NOT IN' && !empty( $where_inner_value ) )
      return 'NOT IN ("' . implode( '","', array_map( 'esc_sql', $where_inner_value ) ) . '")';

    if( in_array( $where_comparison_field, [ '=', '>', '<', '>=', '<=', '!=' ] ) )
      return $where_comparison_field . ' "' . esc_sql( $where_inner_value ) . '"';

    if( $where_comparison_field === 'LIKE' )
      return 'LIKE "%' . esc_sql( $where_inner_value ) . '%"';

    return 'IS NOT NULL';
  }

}