<?php

namespace WPEP\Coordinator\UserEngagement;

class AutoLogin {

  public function __construct() {
    if( !wpep_get_setting_flag( 'enable-auto-login-link' ) )
      return;

    if( isset( $_GET[ wpep_get_setting( 'auto-login-link-token' ) ] ) )
      add_action( 'init', [ $this, '_init_handle_login_tokens' ] );
  }

  public function _init_handle_login_tokens() {
    $url_param = wpep_get_setting( 'auto-login-link-token' );

    if( !isset( $_GET[ $url_param ] ) )
      return;

    $token = $_GET[ $url_param ];

    $user = get_users( [
      'meta_key'    => WPEP_USER_META_AUTO_LOGIN_TOKEN,
      'meta_value'  => $token,
      'number'      => 1,
      'count_total' => false
    ] );

    if( !empty( $user ) ) {
      $user = array_shift( $user );

      wp_set_current_user( $user->ID );
      wp_set_auth_cookie( $user->ID );
      do_action( 'wp_login', $user->user_login, $user );
    }

    $current_url = wpep_get_current_url();

    $current_url = remove_query_arg( $url_param, $current_url );

    wpep_redirect( $current_url );
    exit;
  }

}
