<?php

namespace WPEP\Entity\CourseType;

class Scorm extends Skeleton\Standard {

  public $has_next_suggestions = true;
  public $has_next_suggestions_after_completion = false;

  public function __construct( $current_course_id ) {
    $this->_skeleton_init( $current_course_id );
  }

  public function init() {
    if( !is_user_logged_in() )
      return;
  }

  public function content() {
    $directory = wpep_course_scorm_directory_path( $this->course_id );

    if( empty( $directory ) )
      return '<div class="wpep-notification wpep-notification-danger">' . __( "This course does not have a Scorm Package assigned.", "wpep" ) . '</div>';

    $args = [
      'course_id'     => $this->course_id,
      'title'         => get_the_title( $this->course_id ),
      'description'   => get_post_meta( $this->course_id , 'wpep_course_description', true ),
      'course_is_completed' => wpep_content_type_course_instance()->user->flag->has_completed_course( $this->course_id, get_current_user_id() )
    ];

    if( wpep_assessments_enabled() )
      $args['final_assessment_id'] = wpep_user_assessment_id_by_course_id( $this->course_id, 0, get_current_user_id() );

    return wpep_template_get( 'course-single/scorm.php', $args );
  }

  public function get_alias() {
    return WPEP_COURSE_TYPE_SCORM;
  }


}