<?php

namespace WPEP;

$charset_collate = wpep_wpdb()->get_charset_collate();

$action_tracking_table_name = wpep_wpdb()->prefix . WPEP_DB_TABLE_ACTION_TRACKING;

$sql = 'CREATE TABLE IF NOT EXISTS `' . $action_tracking_table_name . '` (
                                              `id`       INT NOT NULL AUTO_INCREMENT,
                                              `post_id`  INT NOT NULL DEFAULT 0,
                                              `user_id`  INT NOT NULL DEFAULT 0,
                                              `type`     VARCHAR(500) NOT NULL DEFAULT "",
                                              `segment`  VARCHAR(500) NOT NULL DEFAULT "",
                                              `created_at` DATETIME DEFAULT NULL,
                                              PRIMARY KEY (id),
                                              INDEX `' . $action_tracking_table_name . '_post_id` (`post_id`),
                                              INDEX `' . $action_tracking_table_name . '_user_id` (`user_id`),
                                              INDEX `' . $action_tracking_table_name . '_type` (`type`)
                                              ) ' . $charset_collate;

wpep_dbDelta( $sql );

echo '<p>' . sprintf( __( "Created a new table : %s", "wpep" ), $action_tracking_table_name ) . '</p>';