<form class="wpep-assessment-review-form" method="POST">
  <div class="ec-grid-row">
    <div data-ec-grid="7">
      <table data-ec-table="assessment-review"">
        <thead>
        <tr>
          <td style="width:20px;">&nbsp;</td>

          <?php if( $assessment_type !== WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ) : ?>
            <td style="width:100px;"><?php echo __( "Is Correct", "wpep" ); ?></td>
          <?php endif; ?>

          <td><?php echo __( "Title", "wpep" ); ?></td>

          <?php if( $assessment_type === WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ) : ?>
            <td><?php echo __( "Answer", "wpep" ); ?></td>
          <?php endif; ?>
        </tr>
        </thead>
        <tbody>
        <?php $i = 1; foreach( $questions as $question ) : ?>
          <tr class="information-row">
            <td><?php echo $i; ?></td>
            <?php if( $assessment_type !== WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ) : ?>
              <td>
                <input type="hidden"
                       name="question_is_correct[<?php echo $question->id; ?>]"
                       value="0"/>
                <input type="checkbox"
                       name="question_is_correct[<?php echo $question->id; ?>]"
                       value="1"
                       <?php wpep_utility_checked( ( isset( $question_answer_status_list[$question->id] ) ? $question_answer_status_list[$question->id] : 0 ) );?>/>
              </td>
            <?php endif; ?>
            <td><?php echo $question->title; ?></td>

            <?php if( $assessment_type === WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ) : ?>
              <td><?php echo ( isset( $user_answers[$question->id] ) ? ( is_array( $user_answers[$question->id] ) ? implode( ', ', $user_answers[$question->id] ) : $user_answers[$question->id] ) : '-' )?></td>
            <?php endif; ?>
          </tr>
          <?php if( $assessment_type !== WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ) : ?>
            <tr>
              <td colspan="<?php echo ( $assessment_type !== WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ? 2 : 1 ); ?>"><?php echo __( "Answer(s)", "wpep" ); ?> : </td>
              <td>
                <?php if( isset( $user_answers[$question->id] ) ) : ?>
                  <?php if( is_array( $user_answers[$question->id] ) ) : ?>
                    <?php $mapped_answers = wpep_utilities_map_object( $question->answers, 'id' );?>

                    <ul>
                      <?php foreach( $user_answers[$question->id] as $user_answer ) : ?>
                        <?php $user_answer = ( isset( $mapped_answers[$user_answer]->title ) ? $mapped_answers[$user_answer]->title : $user_answer ); ?>

                        <li><?php echo wpautop( make_clickable( $user_answer ) ); ?></li>
                      <?php endforeach; ?>
                    </ul>
                  <?php else : ?>
                    <div class="answer-container"><?php echo wpautop( make_clickable( $user_answers[$question->id] ) ); ?></div>
                  <?php endif; ?>
                <?php else : ?>
                  <p><?php echo __( "This question has not been answered yet.", "wpep" ); ?></p>
                <?php endif; ?>
              </td>
            </tr>
          <?php endif; ?>

          <?php $i++;?>
        <?php endforeach; ?>
        </tbody>
      </table>

      <br/>

      <?php if( $assessment_type !== WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ) : ?>
        <input data-ec-button="primary"
               data-ec-simple-sync="<?php echo esc_attr( json_encode( [
                'action'         => 'wpep/system/misc/submit-assessment-review',
                'assessment_id'  => $assessment_id,
                'user_id'        => $user_information->ID
              ] ) ); ?>"
               type="submit"
               value="<?php echo __( "Review Assessment", "wpep" ); ?>"/>
      <?php endif; ?>
    </div>
    <div data-ec-grid="5">

      <div class="ec-data-view-user-post-summary">
        <div class="ec-data-view-user-post-summary-image"><?php echo wpep_user_profile_picture( $user_information->ID, 128 ); ?></div>
        <p class="ec-data-view-user-post-summary-title"><?php echo wpep_content_user_profile_format_name( $user_information ); ?></p>
        <?php if( current_user_can( WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
          <p class="ec-data-view-user-post-summary-title"><?php echo $user_information->user_email; ?></p>
        <?php endif; ?>
        <?php if( wpep_has_sid_support() ) : ?>
          <p class="wpep-user-profile-sid"><?php echo get_user_meta( $user_information->ID, WPEP_USER_META_STUDENT_IDENTIFICATION, true ); ?></p>
        <?php endif; ?>

        <hr/>

        <p class="ec-data-view-user-post-summary-title"><?php echo get_the_title( $assessment_id ); ?></p>

        <?php if( $score != 0 ) : ?>
          <p class="ec-data-view-user-post-summary-inline"><?php echo sprintf( __( "Status : %s", "wpep" ), '<strong>' . wpep_alias_to_label( $status ) . '</strong>' ); ?></p>
        <?php endif; ?>

        <?php if( $score != 0 ) : ?>
          <p class="ec-data-view-user-post-summary-inline"><?php echo sprintf( __( "Score : %s", "wpep" ), '<strong>' . ( $assessment_type === WPEP_ASSESSMENT_TYPE_SIMPLE_SCORING ? number_format( $score,2 ) : wpep_get_percentage( $score ) ) . '</strong>' ); ?></p>
        <?php endif; ?>

        <?php if( $submitted_time != 0 ) : ?>
          <p class="ec-data-view-user-post-summary-inline"><?php echo sprintf( __( "Submitted Answers : %s", "wpep" ), '<strong>' . wpep_format_date_with_time( $submitted_time ) . '</strong>' ); ?></p>
        <?php endif; ?>

        <?php if( $start_time != 0 ) : ?>
          <p class="ec-data-view-user-post-summary-inline"><?php echo sprintf( __( "Started : %s", "wpep" ), '<strong>' . wpep_format_date_with_time( $start_time ) . '</strong>' ); ?></p>
        <?php endif; ?>

        <hr/>

        <?php if( current_user_can( WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
          <p><span data-ec-button="danger"
                   data-ec-simple-delete="<?php echo esc_attr( json_encode( [
                     'action'         => 'wpep/system/misc/reset-assessment-user-progress',
                     'assessment_id'  => $assessment_id,
                     'user_id'        => $user_information->ID
                   ] ) ); ?>"><?php echo __( "Delete Submission", "wpep" ); ?></span></p>
        <?php endif; ?>
      </div>
    </div>
  </div>
</form>