<?php $course_started_at   = wpep_content_type_course_instance()->user->data->get_value( WPEP_USER_COURSE_STARTED, $course_id, false, false, $user_id, true ); ?>
<?php $course_completed_at = wpep_content_type_course_instance()->user->data->get_value( WPEP_USER_COURSE_COMPLETED_AT, $course_id, false, false, $user_id, true ); ?>

<div class="ec-grid-row">
  <?php if( ( !empty( $user_course_map ) && wpep_course_type_has_lessons( wpep_course_type_from_id( $course_id ) ) ) || !empty( $user_progress_repeat ) ) : ?>
    <div data-ec-grid="8">
      <?php if( !empty( $user_course_map ) && wpep_course_type_has_lessons( wpep_course_type_from_id( $course_id ) ) ) : ?>
        <h2><?php echo __( "Lesson List", "wpep" ); ?></h2>

        <table data-ec-table="course-lesson-list">
          <thead>
            <tr>
              <th><?php echo __( "Section", "wpep"); ?></th>
              <th><?php echo __( "Lesson", "wpep"); ?></th>
              <th><?php echo __( "Completed At", "wpep"); ?></th>
            </tr>
          </thead>
          <tbody>
            <?php foreach( $user_course_map as $section_information ) : ?>
              <?php $user_section_learning_path = ( isset( $section_information->user_data->learning_path ) ? $section_information->user_data->learning_path : -1 ); ?>
              <tr>
                <td><?php echo $section_information->title; ?></td>
                <td colspan="2">
                  <?php if( $user_section_learning_path != -1 ) : ?>
                    <?php echo ( isset( $section_information->options->question_answers[$user_section_learning_path] )
                      ? ' ( ' . $section_information->options->question_answers[$user_section_learning_path] . ' ) '
                      : ' ( ' . __( "User went trough a learning path that has been deleted.", "wpep" ) . ' ) '
                    ); ?>
                  <?php endif; ?>
                </td>
              </tr>
              <?php foreach( $section_information->lessons as $lesson ) : ?>
                <?php
                  if( isset( $lesson->options->question_answer ) ) {
                    if( $lesson->options->question_answer != -1 && $lesson->options->question_answer != $user_section_learning_path )
                      continue;
                  }
                ?>
                <tr>
                  <td></td>
                  <td><?php echo $lesson->title; ?></td>
                  <td><?php echo ( $lesson->is_completed ? wpep_format_date_with_time( $lesson->completed_at ) : '-' ); ?></td>
                </tr>
              <?php endforeach; ?>
            <?php endforeach; ?>
          </tbody>
        </table>
      <?php endif; ?>

      <?php if( !empty( $user_progress_repeat ) ) : ?>
        <h2><?php echo __( "Progress Repeat Tracking", "wpep" );?></h2>

        <table data-ec-table="course-progress-repeat">
          <thead>
            <tr>
              <th><?php echo __( "Date", "wpep" ); ?></th>
            </tr>
          </thead>
          <tbody>
            <?php foreach( $user_progress_repeat as $timestamp ) : ?>
              <tr>
                <td><?php echo wpep_format_date_with_time( $timestamp ); ?></td>
              </tr>
            <?php endforeach; ?>
          </tbody>
        </table>
      <?php endif; ?>
    </div>
  <?php endif; ?>
  <div data-ec-grid="4">
    <div class="ec-data-view-user-post-summary">
      <div class="ec-data-view-user-post-summary-image"><?php echo wpep_user_profile_picture( $user_information->ID, 128 ); ?></div>
      <p class="ec-data-view-user-post-summary-title"><?php echo wpep_content_user_profile_format_name( $user_information ); ?></p>
      <?php if( current_user_can( WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
        <p class="ec-data-view-user-post-summary-title"><?php echo $user_information->user_email; ?></p>
      <?php endif; ?>
      <?php if( wpep_has_sid_support() ) : ?>
        <p class="wpep-user-profile-sid"><?php echo get_user_meta( $user_information->ID, WPEP_USER_META_STUDENT_IDENTIFICATION, true ); ?></p>
      <?php endif; ?>

      <hr/>

      <p class="ec-data-view-user-post-summary-title"><?php echo get_the_title( $course_id ); ?></p>
      <p class="ec-data-view-user-post-summary-inline"><?php echo __( "Course Type", "wpep" ); ?> : <strong><?php echo wpep_course_layout_type_label( wpep_course_type_from_id( $course_id ) ); ?></strong></p>

      <p class="ec-data-view-user-post-summary-input-container">
        <span><?php echo __( "Started At : ", "wpep" )?></span>
        <?php if( !current_user_can( WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
          <input type="text"
                 disabled="disabled"
                 value="<?php echo ( $course_started_at === null ? '' : wpep_format_date_with_time( $course_started_at ) ); ?>"/>
        <?php else : ?>
          <input type="text"
                 data-ec-library="datetimepicker"
                 data-ec-simple-sync="<?php echo esc_attr( json_encode( [
                   'action'     => 'wpep/system/misc/update-course-user-data',
                   'course_id'  => $course_id,
                   'user_id'    => $user_information->ID,
                   'data_key'   => WPEP_USER_COURSE_STARTED
                 ] ) ); ?>"
                 value="<?php echo ( $course_started_at === null ? '' : wpep_format_date_with_time( $course_started_at, 'datetimepicker' ) ); ?>"/>
        <?php endif; ?>
      </p>

      <?php if( $course_completed_at !== null ) : ?>
        <p class="ec-data-view-user-post-summary-input-container">
          <span><?php echo __( "Completed At : ", "wpep" )?></span>
          <?php if( !current_user_can( WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
            <input type="text"
                   disabled="disabled"
                   value="<?php echo wpep_format_date_with_time( $course_completed_at ); ?>"/>
          <?php else : ?>

            <input type="text"
                   data-ec-library="datetimepicker"
                   data-ec-simple-sync="<?php echo esc_attr( json_encode( [
                     'action'     => 'wpep/system/misc/update-course-user-data',
                     'course_id'  => $course_id,
                     'user_id'    => $user_information->ID,
                     'data_key'   => WPEP_USER_COURSE_COMPLETED_AT
                   ] ) ); ?>"
                   value="<?php echo wpep_format_date_with_time( $course_completed_at, 'datetimepicker' ); ?>"/>
          <?php endif; ?>
        </p>
      <?php else : ?>
        <div class="ec-data-view-user-post-summary-progress-bar-container">
          <span><?php echo __( "Progress", "wpep" ) ?></span>
          <?php $progress_percent = wpep_user_course_progress_percentage( $course_id, $user_id ); ?>
          <div class="ec-progress-bar-container">
            <p class="ec-progress-bar-value"><?php echo wpep_get_percentage( $progress_percent ); ?></p>
            <div class="ec-progress-bar">
              <div class="ec-progress-bar-fill"
                   role="progressbar"
                   aria-valuenow="<?php echo $progress_percent; ?>"
                   aria-valuemin="0"
                   aria-valuemax="100"
                   style="width: <?php echo $progress_percent; ?>%"></div>
            </div>
          </div>
        </div>
      <?php endif; ?>

      <hr/>

      <?php if( current_user_can( WPEP_CAP_MANAGE_MEMBERS ) ) : ?>
        <p><span data-ec-button="danger"
                 data-ec-simple-delete="<?php echo esc_attr( json_encode( [
                   'action'     => 'wpep/system/misc/reset-course-user-progress',
                   'course_id'  => $course_id,
                   'user_id'    => $user_information->ID
                 ] ) ); ?>"><?php echo __( "Reset Progress", "wpep" ); ?></span></p>
      <?php endif; ?>
    </div>
  </div>
</div>