<?php

$depth = ( isset( $depth ) ? $depth : 0 );

echo '<ul class="wpep-shortcode-builder-list" data-wpep-shortcode-builder-depth="' . $depth . '">';

foreach( $map as $map_key => $map_information ) {
  echo '<li data-wpep-shortcode-builder-element-type="' . $map_information[ 'type' ] . '">';

  if( isset( $map_information[ 'name' ] ) )
    echo '<p>' . $map_information['name'] . '</p>';

  if( $map_information[ 'type' ] == 'menu'
    && isset( $map_information[ 'items' ] )
    && is_array( $map_information[ 'items' ] ) ) {
    wpep_template_load( 'admin/platform-health/_tools-shortcode-builder.php', [ 'map' => $map_information[ 'items' ], 'depth' => ( $depth + 1 ) ] );
  } elseif( $map_information[ 'type' ] == 'plain' ) {
    $content = '';
    $content .= ( isset( $map_information[ 'before' ] ) ? $map_information[ 'before' ] : '' );
    $content .= ( isset( $map_information[ 'placeholder' ] ) ? $map_information[ 'placeholder' ] : '' );
    $content .= ( isset( $map_information[ 'after' ] ) ? $map_information[ 'after' ] : '' );

    echo '<span class="wpep-button wpep-button-primary" 
                data-wpep-simple-copy="' . $content . '">' . __( "Copy", "wpep" ) . '</span>';
  } elseif( $map_information[ 'type' ] == 'builder' ) {
    echo '<a href="' . $map_information[ 'url' ] . '" 
             class="wpep-button wpep-button-primary" 
             data-wpep-interaction-trigger="shortcode-builder"
             data-wpep-shortcode-name="' . $map_information[ 'name' ] . '">' . __( "Build", "wpep" ) . '</a>';
  }

  echo '</li>';
}

echo '</ul>';

