<?php if( !empty( $data_map ) ) : ?>
  <form data-wpep-form="search_settings_results"
        data-wpep-form-action="wpep/system/setting/save"
        novalidate="novalidate"
        method="post">

    <div class="wpep-search-result-items-container">
      <?php $settings_instance->display_table_start(); ?>
      <?php foreach( $data_map as $data_map_item_key => $data_map_item ) : ?>
        <?php if( isset( $data_map_item[ 'field_settings' ] ) )
          $settings_instance->setup_field_map_settings( $data_map_item[ 'field_settings' ] );
        ?>

        <?php foreach( $data_map_item[ 'sections' ] as $data_map_section_key => $data_map_section ) : ?>

          <?php $settings_instance->display_table_separator( $data_map_item[ 'name' ] . ' - ' . $data_map_section[ 'name' ] ); ?>

          <?php wpep_template_load( 'admin/settings/management-field-map.php', [
            'settings_instance' => $settings_instance,
            'field_map'         => $data_map_section[ 'field_map' ],
          ] ); ?>

        <?php endforeach; ?>

        <?php $settings_instance->reset_field_map_settings(); ?>
      <?php endforeach; ?>
      <?php $settings_instance->display_table_end(); ?>
    </div>

    <input type="submit" value="<?php echo __( "Save Changes", "wpep" ); ?>" class="wpep-button wpep-button-primary" id="submit" name="wpep_settings_save">

    <div class="wpep-search-result-information">
      <p><?php echo sprintf( __( "Settings search result cached : %s %s", "wpep" ), wpep_format_smart_date( $updated_at ), '<span data-wpep-form-search-result-trigger="refresh">' . __( "Reset Cache", "wpep" ) . '</span>' ); ?></p>
    </div>
  </form>
<?php else : ?>
  <div class="wpep-notification wpep-notification-info">
    <p><?php echo __( "No search results found", "wpep" ); ?>.
       <?php echo sprintf( __( "Settings search result cached : %s %s", "wpep" ), wpep_format_smart_date( $updated_at ), '<span data-wpep-form-search-result-trigger="refresh">' . __( "Reset Cache", "wpep" ) . '</span>' ); ?></p>
  </div>
<?php endif; ?>
