<?php if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();
?>

<?php do_action( 'wpep_before_main_content' ); ?>

<?php do_action( 'wpep_user_profile_authentication_before' ); ?>

<?php $form_view = apply_filters( 'wpep_user_profile_authentication_form_view', ( wpep_get_setting_flag( 'user-auth-enable-registration' ) === 2 ? 'register' : 'login' ) );

$please_register = wpep_get_setting_translated( 'user-auth-notification-please-register' );

$notification = apply_filters(
  'wpep_user_profile_authentication_form_notification',
  ( $form_view == 'register' && $please_register !== ''
    ? '<div class="wpep-notification wpep-notification-info">' . $please_register . '</div>'
    : ''
  )
);

$has_sidebar = wpep_get_setting('user-auth-sidebar-marketing-status') != 0;

$has_sidebar = apply_filters( 'wpep_user_profile_authentication_form_has_sidebar', $has_sidebar );

$success_response_type  = apply_filters( 'wpep_user_profile_authentication_form_success_response_type', '' );
$has_registration       = apply_filters( 'wpep_user_profile_authentication_form_has_register', wpep_get_setting_flag( 'user-auth-enable-registration' ) );

?>

  <div class="wpep-user-profile-authentication-wrapper">
    <form class="wpep-user-profile-authentication wpep-field-type-switch-container <?php echo $has_sidebar ? 'wpep-user-profile-authentication-with-containers' : '';?>"
          <?php if( $has_sidebar ) : ?>
            data-hide-register-sidebar="<?php echo apply_filters( 'wpep_user_profile_authentication_form_has_sidebar_on_register', wpep_get_setting('user-auth-sidebar-marketing-status') != 2 ) ? 0 : 1; ?>"
          <?php else : ?>
            data-hide-register-sidebar="0"
          <?php endif; ?>
          data-field-type="<?php echo $form_view ?>">
      <input type="hidden" name="wpep_post_id" value="<?php echo ( isset( $post_id ) ? $post_id : wpep_get_current_post_id() ); ?>"/>
      <input type="hidden" name="wpep_lead_segment" value="<?php echo isset( $lead_segment ) ? $lead_segment : ''; ?>"/>
      <input type="hidden" name="wpep_auth_nonce" value="<?php echo wp_create_nonce( 'wpep_auth_nonce' ); ?>"/>
      <?php if( $success_response_type !== '' ) : ?>
        <input type="hidden" name="success_response_type" value="<?php echo $success_response_type; ?>"/>
        <?php if( $success_response_type == "redirect" ) : ?>
          <input type="hidden" name="success_response_redirect" value="<?php echo apply_filters( 'wpep_user_profile_authentication_form_success_response_redirect', '' ); ?>"/>
        <?php endif; ?>
      <?php endif; ?>

      <?php if( $has_sidebar ) : ?>
      <div class="left-container">
        <?php endif; ?>

        <?php wpep_template_load( 'partial/authentication-fields.php', [ 'has_registration' => $has_registration ] )?>

        <?php if( apply_filters( 'wpep_user_profile_authentication_form_operation_position', 'left-container' ) == 'left-container' ) : ?>
          <?php wpep_template_load( 'partial/authentication-operations.php', [ 'has_registration' => $has_registration ] ); ?>
        <?php endif; ?>

        <?php if( $has_sidebar ) : ?>
      </div>
      <div class="right-container">
        <?php echo apply_filters( 'wpep_user_profile_authentication_form_sidebar_content', wpep_format_content( wpep_get_setting_translated( 'user-auth-sidebar-marketing-content' ) ) ); ?>
      </div>
      <div class="wpep-clearfix"></div>
    <?php endif; ?>

      <?php if( apply_filters( 'wpep_user_profile_authentication_form_operation_position', 'left-container' ) == 'bottom-container' ) : ?>
        <div class="bottom-container">
          <?php wpep_template_load( 'partial/authentication-operations.php', [ 'has_registration' => $has_registration ] )?>
        </div>
      <?php endif; ?>
    </form>
  </div>

<?php do_action( 'wpep_user_profile_authentication_after' ); ?>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php

if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();

?>