<h2 class="wpep-section-title"><?php echo $section_title; ?></h2>

<div class="wpep-section-introduction wpep-content-from-editor">
  <?php echo wpep_format_content( wpep_get_setting_translated( 'course-challenge-introduction-text' ) ); ?>
</div>

<?php if( isset( $section_lessons ) && !empty( $section_lessons ) ): ?>
  <div class="wpep-section-lessons-container">
    <ul class="wpep-section-lessons">
      <?php $lesson_number = 1; foreach( $section_lessons as $section_lesson_id => $section_lesson ) : ?>
        <?php $is_disabled = ( isset( $section_lesson['options'] ) && isset( $section_lesson['options']['is_disabled'] ) && $section_lesson['options']['is_disabled'] ); ?>
        <li<?php echo ( $is_disabled ? ' class="wpep-lesson-disabled"' : '' ); ?>>
          <span class="wpep-lesson-number"><?php echo $lesson_number; ?></span>
          <div class="wpep-lesson-title"><?php echo $section_lesson['title']; ?></div>
          <span class="wpep-ajax-lesson-complete-trigger"
                data-wpep-is-completed="<?php echo $section_lesson['is_completed']; ?>"
                <?php if( !$is_disabled ) : ?>
                data-wpep-lesson-id="<?php echo $section_lesson_id; ?>"
                data-wpep-section-id="<?php echo $section_id; ?>"
                data-wpep-course-id="<?php echo $course_id; ?>"
                <?php endif; ?>
          ></span>
        </li>
      <?php $lesson_number++; endforeach; ?>
    </ul>
  </div>
<?php endif; ?>

<div class="wpep-section-content wpep-content-from-editor">
  <?php echo wpep_format_content( $section_content ); ?>
</div>

<?php if( $sharing_link !== false ) : ?>
  <?php $social_networks_data = wpep_utilities_social_share_map(); ?>
  <div class="wpep-section-social-sharing">
    <div class="wpep-content-from-editor"><?php echo wpep_format_content( wpep_get_setting_translated( 'course-challenge-social-share-cta' ) ); ?></div>

    <ul class="wpep-social-sharing-networks">
      <?php foreach( wpep_get_setting( 'course-challenge-social-share-networks' ) as $social_network_alias ) : ?>
        <?php
          if( !isset( $social_networks_data[ $social_network_alias ] ) ) continue;

          $link = $social_networks_data[ $social_network_alias ]['url'];
          $link = str_replace( '{title}', urlencode( $course_title ), $link );
          $link = str_replace( '{url}', urlencode( $sharing_link ), $link );
          $link = str_replace( '{image}', urlencode( $course_image ), $link );
        ?>

        <li class="wpep-social-share-network"
            data-wpep-share-network="<?php echo $social_network_alias; ?>"
          ><a href="<?php echo $link; ?>"
               target="<?php echo strpos( $link, 'http' ) === 0 ? '_blank' : '_self'; ?>"><?php echo $social_networks_data[ $social_network_alias ]['label']; ?></a></li>
      <?php endforeach; ?>
    </ul>
  </div>

<?php endif; ?>


