<div class="wpep-course-creator-toolbox">
  <div class="wpep-course-creator-toolbox-header">
    <h2><?php echo __( "Course Admin Overview", "wpep" ); ?></h2>

    <?php if( get_post_meta( $course_id, 'wpep_course_on_boarding_status', true ) ) : ?>
      <a class="wpep-button wpep-button-medium wpep-button-secondary" data-wpep-instructor-test-on-boarding-notification="<?php echo $course_id; ?>"><?php echo __( "Send Onboarding Test Email", "wpep" ); ?></a>
    <?php endif; ?>

    <a class="wpep-button wpep-button-medium wpep-button-primary" href="<?php echo wpep_post_admin_edit_link( $course_id ); ?>"><?php echo __( "Edit Course", "wpep" ); ?></a>
  </div>

  <?php if( wpep_get_setting_flag( 'enable-course-comments' )
          && wpep_course_has_discussion( $course_id )
          && current_user_can( WPEP_CAP_MANAGE_SETTINGS ) ) : ?>
    <div class="wpep-course-creator-toolbox-content">
      <div class="wpep-notification wpep-notification-warning">
        <?php echo sprintf( __( "The %s Discussions is enabled while the legacy comments are enabled, both systems will display. Disabling the legacy comments will not migrate them over to the new discussions system.", "wpep" ), WPEP_PLUGIN_NAME ); ?>
        <a class="wpep-button-text" data-wpep-admin-disable-legacy-comments="<?php echo wp_create_nonce( 'wpep_disable_legacy_comments'); ?>"><?php echo __( "Disable Legacy Comments", "wpep" ) ?></a>
      </div>
    </div>
  <?php endif; ?>

  <?php if( wpep_controller()->notifications->has_author_notifications() ) : ?>
    <div class="wpep-course-creator-toolbox-content">
      <?php wpep_controller()->notifications->display_author_notifications();?>
    </div>
  <?php endif; ?>
</div>