<?php
  if( intval( $previous_lesson_id ) === 0 )
    $previous_lesson_id = null;

  if( intval( $next_lesson_id ) === 0 )
    $next_lesson_id = null;

  $navigation_item_count = 2;
  $navigation_item_count += intval( $previous_lesson_id !== null );
  $navigation_item_count += intval( $next_lesson_id !== null || ( !$is_read_only && !$current_item_is_completed && $current_lesson_id !== 0 ) );
?>
<div class="focus-course-navigation"
     data-wpep-current-item-type="<?php echo isset( $current_item ) && is_string( $current_item ) ? $current_item : 'none'; ?>"
     data-wpep-navigation-items="<?php echo $navigation_item_count; ?>">
  <span class="focus-course-navigation-item focus-course-navigation-item-sidebar">
     <a href="<?php echo wpep_course_permalink( $course_id ); ?>" class="focus-course-navigation-item focus-course-navigation-to-curriculum" data-wpep-icon-pack="arrow-circle-left"></a>
  </span>

  <span class="focus-course-navigation-item" data-wpep-course-trigger-type="sidebar" data-wpep-course-trigger-class="wpep-course-type-focused-sidebar-open"></span>

  <?php if( $previous_lesson_id !== null ) : ?>
    <a href="<?php echo wpep_course_lesson_permalink( $previous_lesson_id, $course_id ) ?>" class="focus-course-navigation-item focus-course-navigation-previous"><?php echo wpep_get_setting_translated( 'course-focus-previous-lesson' ); ?></a>
  <?php endif;?>

  <?php if( $next_lesson_id !== null ) : ?>
    <?php if( $is_read_only || $current_item_is_completed || $current_item === 'assessment' ) : ?>
      <a href="<?php echo wpep_course_lesson_permalink( $next_lesson_id, $course_id ); ?>" class="focus-course-navigation-item focus-course-navigation-next">
        <?php echo wpep_get_setting_translated( 'course-focus-next-lesson' ); ?>
      </a>
    <?php else : ?>
      <a href="<?php echo wp_nonce_url( wpep_course_lesson_permalink( $current_lesson_id, $course_id ), 'complete-lesson', 'complete-lesson' ) ?>" class="focus-course-navigation-item focus-course-navigation-next">
        <?php echo wpep_get_setting_translated( 'course-focus-complete-and-next-lesson' ); ?>
      </a>
    <?php endif; ?>
  <?php elseif( !$is_read_only && !$current_item_is_completed && $current_lesson_id !== 0 ) : ?>
    <a href="<?php echo wp_nonce_url( wpep_course_lesson_permalink( $current_lesson_id, $course_id ), 'complete-lesson', 'complete-lesson' ) ?>" class="focus-course-navigation-item focus-course-navigation-complete">
      <?php echo wpep_get_setting_translated( 'course-focus-complete-lesson' ); ?>
    </a>
  <?php endif;?>
</div>