<?php
  $color_primary   = wpep_controller()->templateStyle->element_map[ 'color_primary' ];
  $color_secondary = wpep_controller()->templateStyle->element_map[ 'color_secondary' ];
  $font_size       = wpep_controller()->templateStyle->element_map[ 'font_size' ];
?><style>
  h2.wpep-course-section-title {
    font-size : <?php echo $font_size + 12; ?>px;
  }

  .wpep-course-section-description {
    font-size : <?php echo $font_size + 6; ?>px;
  }

  .wpep-course-section-lesson-container {
    border : 1px solid #000000;
    width  : 100%;
  }

  h3.wpep-course-section-lesson-title {
    font-size        : <?php echo $font_size + 8; ?>px;
    padding          : 8px;
    color            : #000000;
  }

  .wpep-course-section-lesson-content {
    font-size : <?php echo $font_size + 4; ?>px;
  }
</style>

<h1><?php echo get_the_title( $course_id ); ?></h1>

<div class="wpep-course-description">
  <?php echo wpep_format_content( get_post_meta( $course_id , 'wpep_course_description', true ) );?>
</div>

<?php foreach( $course_sections as $course_section_id => $course_section ) : ?>
  <div class="wpep-course-section-container">
    <h2 class="wpep-course-section-title"><?php echo $course_section['title']; ?></h2>

    <?php if( $course_section['content'] !== '' ) : ?>
      <div class="wpep-course-section-description">
        <?php echo apply_filters( "wpep_course_single_content_section_content", $course_section['content'], $course_section ); ?>
      </div>
    <?php endif;?>

    <div class="wpep-course-section-lesson-container">
      <?php foreach( $course_section['lessons'] as $lesson_id => $lesson ) : ?>
        <?php if( isset( $lesson['options'] ) && isset( $lesson['options']['is_disabled'] ) && $lesson['options']['is_disabled'] ) continue; ?>
        <?php $lesson_content = apply_filters( "wpep_course_single_content_lesson_content", $lesson['content'], $lesson ) ;?>

        <div class="wpep-course-section-lesson">
          <h3 class="wpep-course-section-lesson-title"><?php echo $lesson['title']; ?></h3>
          <?php if( $lesson_content !== '' ) : ?>
            <div class="wpep-course-section-lesson-content"><?php echo $lesson_content; ?></div>
          <?php endif; ?>
        </div>
      <?php endforeach; ?>
    </div>
  </div>
<?php endforeach; ?>