<?php if( apply_filters( 'wpep_course_single_content_include_header', true ) ) : ?>
  <h2 class="standard-course-title"><?php echo $course_title; ?></h2>

  <?php if( !empty( $course_content ) ) : ?>
    <div class="standard-course-content">
      <?php echo $course_content; ?>

      <div class="wpep-clearfix"></div>
    </div>
  <?php endif; ?>
<?php endif; ?>

<?php $section_number = 1; foreach( $course_sections as $course_section_id => $course_section ) : ?>
  <?php $class = 'standard-course-section-title';
        $class .= ' ' . ( $course_section['is_completed'] ? 'completed' : 'pending' );

        if( isset( $course_section['options']['disabled_lessons'] ) && $course_section['options']['disabled_lessons'] != 0 ) {
          $class .= ' ' . ( count( $course_section['lessons'] ) === intval( $course_section['options']['disabled_lessons'] ) ? 'standard-course-section-locked' : 'standard-course-section-locked-partial' );
        }
  ?>


  <div class="standard-course-index-section">
    <h3 class="<?php echo $class; ?>">
      <strong><?php echo wpep_get_setting_translated( 'course-standard-section' ) . ' ' . $section_number; ?></strong>
      <span><?php echo $course_section['title']; ?></span>
    </h3>

    <ul class="standard-course-lessons wpep-visible">
      <?php $i = 1; foreach( $course_section['lessons'] as $lesson_id => $lesson ) : ?>
        <?php $is_disabled = ( isset( $lesson['options'] ) && isset( $lesson['options']['is_disabled'] ) && $lesson['options']['is_disabled'] ); ?>
        <?php $class = 'standard-course-lesson'; ?>
        <?php $class .= ( $is_disabled ? ' standard-course-lesson-disabled' : '' ); ?>
        <?php $class .= ( $lesson['is_completed'] ? ' completed' : ' pending' ); ?>
        <?php $class .= ( isset( $current_lesson_id ) && $current_lesson_id == $lesson_id ? ' current' : '' ); ?>
        <?php ?>
        <li id="wpep-lesson-<?php echo $lesson_id; ?>"
            class="<?php echo $class; ?>">
          <?php if( !$is_disabled ) : ?>
            <a href="<?php echo wpep_course_lesson_permalink( $lesson_id, $course_id ); ?>">
              <strong><?php echo wpep_get_setting_translated( 'course-standard-lesson' ) . ' ' . $i; ?></strong>
              <span class="title-lesson"><?php echo $lesson['title']; ?></span>
              <span class="start-lesson"><?php echo wpep_get_setting_translated( 'course-standard-start-lesson' ); ?></span>
            </a>
          <?php else : ?>
            <p class="wpep-lesson-locked">
              <strong><?php echo wpep_get_setting_translated( 'course-standard-lesson' ) . ' ' . $i; ?></strong>
              <span class="title-lesson"><?php echo $lesson['title']; ?></span>
            </p>
          <?php endif; ?>
        </li>
        <?php $i++; endforeach; ?>

        <?php if( wpep_assessments_enabled() ) : ?>

          <?php $assessments = [ wpep_user_assessment_id_by_course_id( $course_id, $course_section_id ) ];

          if( $section_number == count( $course_sections ) )
            $assessments[] = wpep_user_assessment_id_by_course_id( $course_id, 0 );
          ?>

          <?php foreach( $assessments as $assessment_id ) : ?>
            <?php if( $assessment_id == 0 ) continue; ?>
            <li class="standard-course-assessment <?php echo wpep_user_assessment_status( $assessment_id ); ?>">
              <a href="<?php echo get_the_permalink( $assessment_id ); ?>">
                <strong><?php echo wpep_get_setting_translated( 'assessment' ) ?></strong>
                <span class="title-lesson"><?php echo get_the_title( $assessment_id ); ?></span>
                <span class="start-assessment"><?php echo wpep_get_setting_translated( 'assessment-view' ); ?></span>
              </a>
            </li>
          <?php endforeach; ?>
        <?php endif; ?>
    </ul>
  </div>
<?php $section_number++; endforeach; ?>