<?php $course_section_count = count( $course_sections ); ?>

<?php if( intval( get_post_meta( $course_id, 'wpep_course_to_ebook_enabled', true ) ) ) : ?>
  <div class="wpep-widget">
    <div class="wpep-widget-wrapper">
      <div class="standard-course-download-ebook-widget">
        <div id="wpep-course-to-ebook-container">
          <?php echo wpep_frontend_button( '#', [
            'text'            => wpep_get_setting_translated( 'course-download-button' ),
            'position'        => 'center',
            'simple_download' => [
              'type'    => 'pdf',
              'action'  => 'wpep/content-type/courses/pdf-download-data',
              'post_id' => $course_id
            ]
          ] ); ?>
        </div>
      </div>
    </div>
  </div>
<?php endif; ?>

<?php if( wpep_course_has_progress_bar( $course_id ) ) : ?>
  <div class="wpep-widget">
    <div class="wpep-widget-wrapper">
      <div class="standard-course-progress-widget">
        <h2><?php echo wpep_get_setting_translated( 'course-standard-course-progress' ); ?></h2>

        <?php echo wpep_progress_bar(
          wpep_user_course_progress_percentage( $course_id, get_current_user_id() ),
          wpep_course_has_progress_bar_percentage_number( $course_id )
        ); ?>
      </div>
    </div>
  </div>
<?php endif; ?>

<div class="wpep-widget">
  <div class="wpep-widget-wrapper">
     <div class="standard-course-widget">
       <h2><?php echo wpep_get_setting_translated( 'course-standard-course-navigation' ); ?></h2>
       <ul>
         <?php $current_section_index = 1; foreach( $course_sections as $course_section_id => $course_section ) : ?>
            <li <?php echo isset( $course_section['lessons'][$current_lesson_id] ) ? 'class="current-section"' : ''; ?>>
              <p><?php echo $course_section['title']; ?></p>

              <ul class="standard-course-lessons <?php echo isset( $course_section['lessons'][$current_lesson_id] ) ? 'wpep-visible' : 'wpep-hidden'; ?>">
                <?php $i = 1; foreach( $course_section['lessons'] as $lesson_id => $lesson ) : ?>
                  <?php $is_disabled = ( isset( $lesson['options'] ) && isset( $lesson['options']['is_disabled'] ) && $lesson['options']['is_disabled'] ); ?>
                  <?php $class = 'standard-course-lesson'; ?>
                  <?php $class .= ( $is_disabled ? ' standard-course-lesson-disabled' : '' ); ?>
                  <?php $class .= ( $lesson['is_completed'] ? ' completed' : ' pending' ); ?>
                  <?php $class .= ( isset( $current_lesson_id ) && $current_lesson_id == $lesson_id ? ' current' : '' ); ?>
                  <li id="wpep-lesson-<?php echo $lesson_id; ?>" class="<?php echo $class; ?>">
                    <?php if( !$is_disabled ) : ?>
                      <a href="<?php echo wpep_course_lesson_permalink( $lesson_id, $course_id ); ?>">
                        <span class="title-lesson"><?php echo $lesson['title']; ?></span>
                      </a>
                    <?php else : ?>
                      <p class="wpep-lesson-locked">
                        <span class="title-lesson"><?php echo $lesson['title']; ?></span>
                      </p>
                    <?php endif; ?>
                  </li>
                  <?php $i++; endforeach; ?>

                <?php if( wpep_assessments_enabled() ) : ?>
                  <?php $assessments = [ wpep_user_assessment_id_by_course_id( $course_id, $course_section_id ) ];

                  if( $current_section_index == $course_section_count )
                    $assessments[] = wpep_user_assessment_id_by_course_id( $course_id, 0 );
                  ?>

                  <?php foreach( $assessments as $assessment_id ) : ?>
                    <?php if( $assessment_id == 0 ) continue; ?>
                    <li class="standard-course-assessment <?php echo wpep_user_assessment_status( $assessment_id ); ?>">
                      <a href="<?php echo get_the_permalink( $assessment_id ); ?>">
                        <span class="title-lesson"><?php echo get_the_title( $assessment_id ); ?></span>
                      </a>
                    </li>
                  <?php endforeach; ?>
                <?php endif; ?>
              </ul>
            </li>
            <?php $current_section_index++; ?>
         <?php endforeach; ?>
       </ul>
     </div>
  </div>
</div>