<?php
  if( !isset( $current_discussion ) )
    $current_discussion = wpep_controller()->discussion->directURL->get_discussion();

  if( !isset( $my_discussions ) )
    $my_discussions = wpep_controller()->discussion->user_get_discussions_information( get_current_user_id(), [
      'limit'  => WPEP_DISCUSSION_DIRECT_URL_MY_DISCUSSIONS_PER_PAGE,
      'offset' => 0
    ] );

  if( $current_discussion === null && !empty( $my_discussions[ 'results' ] ) )
    $current_discussion = $my_discussions[ 'results' ][ key( $my_discussions[ 'results' ] ) ];
?>
<?php wpep_template_header(); ?>

<?php do_action( 'wpep_before_main_content' ); ?>

  <?php if( !empty( $my_discussions[ 'results'] ) ) : ?>
  <div class="wpep-discussion-direct-url-container"
       data-wpep-discussion-direct-url-mode="standard"
       data-wpep-discussion-direct-url-timestamp="<?php echo time(); ?>">
    <div data-wpep-discussion-direct-url-section="my-discussions">
      <h2 class="wpep-discussion-direct-url-section-title"><?php echo wpep_get_setting_translated( 'comments-direct-url-my-discussions' ); ?></h2>

      <div class="wpep-discussion-direct-url-section-content">
        <?php wpep_template_load( 'discussion/direct-url/my-discussions.php', [
          'current_discussion_id' => ( $current_discussion === null ? 0 : $current_discussion->id ),
          'discussions_list'      => $my_discussions[ 'results' ],
          'discussions_total'     => $my_discussions[ 'total' ],
          'discussions_has_more'  => ( count( $my_discussions[ 'results' ] ) < $my_discussions[ 'total' ] )
        ] ); ?>
      </div>
    </div>

    <div data-wpep-discussion-direct-url-section="expand-discussion">
      <a href="<?php echo wpep_discussion_direct_url_link( false ); ?>"
         data-wpep-discussion-direct-url-switch-mode="expanded"
        ><?php echo wpep_get_setting_translated( 'comments-direct-url-expand-my-discussions' ); ?></a>
    </div>

    <div data-wpep-discussion-direct-url-section="current-discussion">
      <?php if( $current_discussion !== null ) : ?>
        <?php wpep_template_load( 'discussion/direct-url/current-discussion.php', [
          'current_discussion'  => $current_discussion
        ] ); ?>
      <?php endif; ?>
    </div>
    <div class="ec-clearfix"></div>
  </div>
  <div class="ec-clearfix"></div>
  <?php else : ?>
    <?php echo wpep_format_content( wpep_get_setting( 'comments-direct-url-no-discussions' ) ); ?>
  <?php endif; ?>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php wpep_template_footer(); ?>