<div class="course-card-list">
  <?php foreach( $course_list as $course ) : ?>
    <?php $course = isset( $course->ID ) ? $course : get_post( $course ); ?>
    <?php if( $course === null ) continue; ?>

    <?php $course_link = apply_filters( 'wpep_primary_content_item_link', get_permalink( $course ), $course->ID ); ?>
    <?php $course_excerpt = wpep_course_excerpt( $course->ID, true ); ?>
    <div class="course-card-container">
      <div class="course-card-thumbnail-wrapper">
        <img class="course-card-thumbnail" src="<?php echo wpep_course_thumbnail_url( $course->ID ); ?>"/>
      </div>
      <div class="course-card-details-wrapper">
        <?php if( isset( $course_user_data_key ) ) : ?>
          <p class="course-card-user-data">
            <?php echo wpep_format_date_with_time( wpep_content_type_course_instance()->user->data->get_value( $course_user_data_key, $course->ID, false, false, $user_id ) ); ?>
          </p>
        <?php elseif( isset( $course_object_date ) ) : ?>
          <p class="course-card-user-data">
            <?php echo wpep_format_date_with_time( $course->$course_object_date ); ?>
          </p>
        <?php endif; ?>

        <h3 class="course-card-title"><a href="<?php echo $course_link; ?>"><?php echo get_the_title( $course ); ?></a></h3>

        <?php if( $course_excerpt !== '' ) : ?>
        <div class="course-card-description">
          <?php echo $course_excerpt; ?>
        </div>
        <?php endif; ?>

        <a href="<?php echo $course_link; ?>">
          <?php echo apply_filters( 'wpep_primary_content_item_link_title', wpep_get_setting_translated( 'opt-course-start-text' ), $course->ID ); ?>
        </a>
      </div>
    </div>
  <?php endforeach; ?>
  <div class="clearfix" style="clear:both;"></div>
</div>