<?php
$field_value_email_address  = ( isset( $_GET[ 'email_address'] ) ? sanitize_email( $_GET[ 'email_address'] )   : '' );
$field_value_first_name     = ( isset( $_GET[ 'first_name'] )    ? sanitize_text_field( $_GET[ 'first_name'] ) : '' );
$field_value_last_name      = ( isset( $_GET[ 'last_name'] )     ? sanitize_text_field( $_GET[ 'last_name'] )  : '' );
$field_value_username       = ( isset( $_GET[ 'username'] )      ? sanitize_text_field( $_GET[ 'username'] )   : '' );

if( $field_value_username === '' && ( $field_value_first_name !== '' || $field_value_last_name !== '' ) )
  $field_value_username = sanitize_user( strtolower( str_replace( [ '_', '-', ' '], '', $field_value_first_name . $field_value_last_name ) ) );

$field_value_password       = ( isset( $_GET[ 'generate_password'] ) ? wp_generate_password( 8 ) : '' );

$fields = apply_filters( 'wpep_user_profile_authentication_form_allowed_fields', [ 'username', 'first_name', 'last_name', 'email_address', 'password' ] );

$user_auth_instructions = wpep_get_setting( 'user-auth-form-instructions' );

?>

<?php do_action( 'wpep_user_profile_authentication_form_before_fields' ); ?>

<?php if( $user_auth_instructions !== '' ) : ?>
  <div class="wpep-content-from-editor" data-field-type="login register"><?php echo wpep_format_content( $user_auth_instructions ); ?></div>
<?php endif; ?>

<?php if( isset( $notification ) && $notification !== '' ) : ?>
  <div class="wpep-notification-container wpep-visible">
    <?php echo $notification;?>
  </div>
<?php else : ?>
  <div class="wpep-notification-container wpep-hidden"></div>
<?php endif; ?>

<div class="wpep-clearfix"></div>

<div class="wpep-form-group" data-field-type="login reset_password">
  <label><?php echo wpep_get_setting_translated( 'user-auth-field-login-identifier' ); ?></label>
  <input type="text" name="login_identifier" value="" autocomplete="off" autocapitalize="none" spellcheck="false"/>
</div>

<div class="wpep-form-group" data-field-type="express">
  <label><?php echo wpep_get_setting_translated( 'user-auth-field-email-address' ); ?></label>
  <input type="text" name="email_address" value="" autocomplete="off" autocapitalize="none" spellcheck="false"/>
</div>

<?php if( $has_registration ) : ?>

  <div class="wpep-form-group wpep-hidden" data-field-type="register">
    <label><?php echo wpep_get_setting_translated( 'user-auth-field-username' ); ?></label>
    <input type="text" name="username" value="<?php echo $field_value_username; ?>" autocomplete="<?php echo $field_value_username === '' ? 'off' : 'on'; ?>" autocapitalize="none" spellcheck="false"/>
  </div>

  <?php if( in_array( 'first_name', $fields ) ) : ?>
  <div class="wpep-form-group wpep-hidden" data-field-type="register">
    <label><?php echo wpep_get_setting_translated( 'user-auth-field-first-name' ); ?></label>
    <input type="text" name="first_name" value="<?php echo $field_value_first_name; ?>" autocomplete="<?php echo $field_value_first_name === '' ? 'off' : 'on'; ?>" autocapitalize="none" spellcheck="false"/>
  </div>
  <?php endif; ?>
  <?php if( in_array( 'last_name', $fields ) ) : ?>
  <div class="wpep-form-group wpep-hidden" data-field-type="register">
    <label><?php echo wpep_get_setting_translated( 'user-auth-field-last-name' ); ?></label>
    <input type="text" name="last_name" value="<?php echo $field_value_last_name; ?>" autocomplete="<?php echo $field_value_last_name === '' ? 'off' : 'on'; ?>" autocapitalize="none" spellcheck="false"/>
  </div>
  <?php endif; ?>
  <div class="wpep-form-group wpep-hidden" data-field-type="register">
    <label><?php echo wpep_get_setting_translated( 'user-auth-field-email-address' ); ?></label>
    <input type="text" name="email_address" value="<?php echo $field_value_email_address; ?>" autocomplete="<?php echo $field_value_email_address === '' ? 'off' : 'on'; ?>" autocapitalize="none" spellcheck="false"/>
  </div>
<?php endif; ?>

<div class="wpep-form-group" data-field-type="login register">
  <label><?php echo wpep_get_setting_translated( 'user-auth-field-password' ); ?></label>
  <input type="<?php echo $field_value_password !== '' ? 'text' : 'password'; ?>" name="password" value="<?php echo $field_value_password; ?>" autocomplete="<?php echo $field_value_password === '' ? 'off' : 'on'; ?>" autocapitalize="none" spellcheck="false"/>
</div>

<?php if( $has_registration ) : ?>
  <?php wpep_template_load( 'partial/user-agreement-fields.php' ); ?>
<?php endif; ?>

<?php do_action( 'wpep_user_profile_authentication_form_after_fields' ); ?>

<div class="wpep-form-group" data-field-type="login">
  <p class="remember-me-container">
    <label>
      <input type="checkbox" name="login_remember" id="login-remember" value=""/>
      <label for="login-remember"><?php echo wpep_get_setting_translated( 'user-auth-field-remember-me' ); ?></label>
    </label>
  </p>
</div>