<?php
if( !isset( $include_header ) || ( isset( $include_header ) && $include_header ) )
  wpep_template_header();

$layout_name = wpep_content_primary_layout_name();

$class = 'course-grid-container course-grid-container-' . $layout_name . ( in_array( $layout_name, [ WPEP_INDEX_PAGE_LAYOUT_LEFT_NAVIGATION, WPEP_INDEX_PAGE_LAYOUT_RIGHT_NAVIGATION ] ) ? ' course-grid-container-sidebar-navigation' : '' );

if( apply_filters( 'wpep_primary_content_display_header', wpep_get_setting( 'opt-course-heading' ) !== '' ) )
  $class .= ' course-grid-container-with-header';

$navigation_xhr_args = apply_filters( 'wpep_primary_content_navigation_xhr_args', [] );

?>

<?php do_action( 'wpep_before_main_content' ); ?>

<div class="<?php echo $class; ?>"
     data-wpep-pagination="<?php echo apply_filters( 'wpep_primary_content_entries_per_page', wpep_get_setting_flag( 'index-page-enable-pagination' ) ? wpep_get_setting( 'index-page-entries-per-page' ) : 0 ); ?>"
     <?php if( isset( $navigation_xhr_args['action'] ) ) : ?>
       data-wpep-navigation-xhr-action="<?php echo $navigation_xhr_args['action'];?>"
       <?php if( isset( $navigation_xhr_args['args'] ) ) : ?>
       data-wpep-navigation-xhr-args="<?php echo is_array( $navigation_xhr_args['args'] ) ? esc_attr( json_encode( $navigation_xhr_args['args'] ) ) : $navigation_xhr_args['args'];?>"
       <?php endif; ?>
     <?php else : ?>
       data-wpep-current-url="<?php echo wpep_get_current_url_index_page(); ?>"
     <?php endif; ?>
     data-wpep-layout="<?php echo $layout_name; ?>">
  <?php wpep_template_load( 'primary-layout/' . $layout_name . '.php' ); ?>
</div>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php
if( !isset( $include_footer ) || ( isset( $include_footer ) && $include_footer ) )
  wpep_template_footer();
?>
