<?php do_action( 'wpep_before_main_content' ); ?>

<div data-wpep-user-directory-wrapper="standard"
     data-wpep-user-directory-base-url="<?php echo $base_url; ?>">
  <?php if( isset( $has_search_bar ) && $has_search_bar ) : ?>
  <div data-wpep-user-directory-search-container="standard">
    <?php if( isset( $search_user_text ) ) : ?>
    <label><?php echo $search_user_text; ?></label>
    <?php endif; ?>
    <input type="text" name="wpep_search_users" value="<?php echo esc_attr( $current_search ); ?>">
  </div>
  <?php endif; ?>

  <div data-wpep-user-directory-container="list">
    <?php foreach( $user_list as $user ) : ?>
      <div data-wpep-user-card-container="list-item">
        <div data-wpep-user-card-information="picture">
          <?php echo wpep_user_profile_picture( $user->ID, 128 ); ?>
        </div>
        <div data-wpep-user-card-information-container="description">
          <h2 data-wpep-user-card-information="name"><?php echo wpep_content_user_profile_format_name( $user ); ?></h2>

          <div data-wpep-user-card-information="description" class="wpep-content-from-editor">
            <?php echo wpautop( make_clickable( $user->description ) ); ?>
          </div>

          <?php if( \WPEP\ACL\User::profile( $user->ID ) ) : ?>
            <a href="<?php echo wpep_user_profile_public_link( $user->ID ); ?>" class="wpep-button wpep-button-primary wpep-button-left">
              <?php echo isset( $view_profile_text ) && $view_profile_text !== false ? $view_profile_text : __( 'View Profile', "wpep" ); ?>
            </a>
          <?php endif; ?>
        </div>
        <div class="wpep-clearfix"></div>
      </div>
    <?php endforeach; ?>
  </div>

  <?php if( $paginate_total_pages >= 2 ) : ?>
    <div class="wpep-pagination-links-container">
      <?php echo paginate_links( [
        'base'    => $base_url . '%_%',
        'format'  => (
          ( strpos( $base_url, '?' ) === false ? '?' : '&' ) .
          ( $current_search !== '' ? ( 'wpep-user-directory-search=' . urlencode( $current_search ) . '&' ) : '' ) .
          'wpep-user-directory-page=%#%'
        ),
        'total'   => $paginate_total_pages,
        'current' => $paginate_current_page
      ] ); ?>
    </div>
  <?php endif; ?>

  <div class="wpep-clearfix"></div>
</div>

<?php do_action( 'wpep_after_main_content' ); ?>