<?php $downloads_template = isset( $downloads_template ) ? $downloads_template : wpep_get_setting( 'course-downloads-template' ) ; ?>

<div class="wpep-downloads-list-container" data-wpep-downloads-list-template="<?php echo $downloads_template; ?>">
  <?php if( !isset( $title ) || ( isset( $title ) && $title !== '' ) ) : ?>
  <h2 class="wpep-downloads-list-title"><?php echo isset( $title ) ? $title : wpep_get_setting_translated( 'course-downloads-list-title' ); ?></h2>
  <?php endif; ?>

  <ul class="wpep-downloads-list-list">
    <?php foreach( $downloads_list as $download_link => $download_name ) : ?>
      <li class="wpep-downloads-list">
        <?php if( $downloads_template === WPEP_COURSE_DOWNLOADS_TEMPLATE_STANDARD ) :  ?>
          <span class="wpep-download-title"><?php echo $download_name; ?></span>
          <a href="<?php echo esc_url( do_shortcode( $download_link ) ); ?>" class="wpep-button wpep-button-primary" target="_blank">
            <?php echo isset( $button_text ) ? $button_text : wpep_get_setting_translated( 'course-downloads-list-download' ); ?>
          </a>
        <?php elseif( $downloads_template === WPEP_COURSE_DOWNLOADS_TEMPLATE_ICON ) :  ?>
          <a href="<?php echo esc_url( do_shortcode( $download_link ) ); ?>" target="_blank">
            <span class="wpep-download-title"><?php echo $download_name; ?></span>
          </a>
        <?php else : ?>
          <a href="<?php echo esc_url( do_shortcode( $download_link ) ); ?>" target="_blank">
            <span class="wpep-download-title"><?php echo $download_name; ?></span>
          </a>
        <?php endif; ?>
      </li>
    <?php endforeach; ?>
  </ul>
</div>